import { BaseBladeParams, ListParamsOptions, TpChangeEvent } from '@tweakpane/core';
import { MutableRefObject } from 'react';
import { ListApi } from 'tweakpane';
import { PaneInstance } from './useTweakpane';
interface UseSliderBladeParams<T> extends BaseBladeParams {
    options: ListParamsOptions<T>;
    value: T;
    label?: string;
    view?: 'list';
}
export declare function useListBlade<T extends Object, V>(paneRef: MutableRefObject<PaneInstance<T>>, bladeParams: UseSliderBladeParams<V>): [V, (value: V) => void, MutableRefObject<ListApi<V>>];
export declare function useListBlade<T extends Object, V>(paneRef: MutableRefObject<PaneInstance<T>>, bladeParams: UseSliderBladeParams<V>, onChange: (event: TpChangeEvent<V>) => void): [never, (value: V) => void, MutableRefObject<ListApi<V>>];
export {};
