import { RefObject } from 'react';
import { PaneInstance } from './useTweakpane';
import { FolderApi, FolderParams } from 'tweakpane';
export interface FolderInstance<T extends {}> {
    instance: FolderApi | null;
    params: T;
}
export declare function usePaneFolder<T extends {}>(paneRef: RefObject<PaneInstance<T>>, folderParams: FolderParams): RefObject<FolderInstance<T>>;
