import { normalizeListOptions as k } from "@tweakpane/core";
import { useState as h, useRef as a, useEffect as f, useCallback as B, useLayoutEffect as v } from "react";
import { Pane as L } from "tweakpane";
function F(i, e, l) {
  const [c, d] = h(e.value), u = a(null), r = a(l);
  r.current = l, f(() => {
    const t = u.current;
    t && (t.disabled = !!e.disabled, t.hidden = !!e.hidden, t.label = e.label, t.value = e.value);
  }, [e.disabled, e.hidden, e.label, e.value]), f(() => {
    const t = u.current;
    t != null && (t.options = k(e.options));
  }, [JSON.stringify(e.options)]);
  const s = B((t) => {
    u.current.value = t;
  }, []), n = l ? (t) => r.current(t) : (t) => d(t.value);
  return v(() => {
    const t = i.current.instance;
    if (t == null)
      return;
    e.view = e.view || "list";
    const b = t.addBlade(e);
    return b.on("change", n), u.current = b, () => {
      b.element && b.dispose();
    };
  }, []), [l ? void 0 : c, s, u];
}
function I(i, e, l) {
  const [c, d] = h(e.value), u = a(null), r = a(l);
  r.current = l, f(() => {
    const n = u.current;
    n != null && (n.disabled = !!e.disabled, n.hidden = !!e.hidden, n.label = e.label, n.value = e.value, n.formatter = e.format);
  }, [e.disabled, e.hidden, e.label, e.value]);
  const s = B((n) => {
    u.current.value = n;
  }, []);
  return v(() => {
    const n = i.current.instance;
    if (n == null)
      return;
    e.view = e.view || "text";
    const t = n.addBlade(e), b = l ? (o) => r.current(o) : (o) => d(o.value);
    return t.on("change", b), u.current = t, () => {
      t.element && t.dispose();
    };
  }, []), [l ? void 0 : c, s, u];
}
function O(i, e, l) {
  const [c, d] = h(e.value || 0), u = a(null), r = a(l);
  r.current = l, f(() => {
    const n = u.current;
    n != null && (n.disabled = !!e.disabled, n.hidden = !!e.hidden, n.label = e.label, n.maxValue = e.max, n.minValue = e.min, n.value = e.value || 0);
  }, [
    e.disabled,
    e.hidden,
    e.label,
    e.value,
    e.max,
    e.min
  ]);
  const s = B((n) => {
    u.current.value = n;
  }, []);
  return v(() => {
    const n = i.current.instance;
    if (n == null)
      return;
    e.view = e.view || "slider";
    const t = n.addBlade(e), b = l ? (o) => r.current(o) : (o) => d(o.value);
    return t.on("change", b), u.current = t, () => {
      t.element && t.dispose();
    };
  }, []), [l ? void 0 : c, s, u];
}
function T(i, e) {
  var c;
  const l = a({
    instance: null,
    params: ((c = i.current) == null ? void 0 : c.params) || {}
  });
  return f(() => {
    const d = l.current.instance;
    d != null && (d.title = e.title, d.expanded = e.expanded ?? !0, d.disabled = !!e.disabled, d.hidden = !!e.hidden);
  }, [
    e.disabled,
    e.expanded,
    e.title,
    e.hidden
  ]), v(() => {
    var r, s;
    const d = (r = i.current) == null ? void 0 : r.instance;
    if (d == null)
      return;
    const u = d.addFolder(e);
    return l.current.instance = u, l.current.params = ((s = i.current) == null ? void 0 : s.params) || {}, () => {
      u.element && u.dispose();
    };
  }, []), l;
}
function z(i, e, l = {}, c = void 0) {
  const d = typeof l == "function" ? {} : l, u = typeof l == "function" ? l : c, [r, s] = h(i.current.params[e]), n = a(null), t = a(u);
  t.current = u;
  const b = B((o) => {
    n.current.controller_.binding.target.write(o), n.current.refresh();
  }, []);
  return n.current && (n.current.hidden = !!d.hidden, n.current.disabled = !!d.disabled), v(() => {
    var R;
    const o = (R = i.current) == null ? void 0 : R.instance;
    if (o == null)
      return;
    const V = u ? (w) => t.current(w) : (w) => s(w.value), x = o.addInput(i.current.params, e, d).on("change", V);
    return n.current = x, () => {
      x.element && x.dispose();
    };
  }, [e, u]), [u == null ? r : void 0, b, n];
}
function J(i = {}, e = {}) {
  const l = a({
    instance: null,
    params: i
  });
  return f(() => {
    const c = l.current.instance;
    c != null && (c.title = e.title, c.expanded = e.expanded ?? !0, c.refresh());
  }, [e.expanded, e.title]), v(() => {
    const c = new L(e);
    return l.current.instance = c, () => {
      l.current.instance = null, c.dispose();
    };
  }, []), l;
}
export {
  F as useListBlade,
  T as usePaneFolder,
  z as usePaneInput,
  O as useSliderBlade,
  I as useTextBlade,
  J as useTweakpane
};
